jQuery(document).ready(function($){
 

 /**
      * AI call  image
      */
 $("body").on("click", ".rewrite_ai_image", function(){
 
	if( $('#post_to_rewrite').val() == '' ){
		$('#post_to_rewrite').addClass('is-invalid');    
		return false;
	}else{
		$('#post_to_rewrite').removeClass('is-invalid');    
	}
	var data = {
		query  : $('#post_to_rewrite').val(),
		security  : wad_local_data.nonce,
		action : 'image_rewrite_ai_call'
	}

	jQuery.ajax({url: wad_local_data.ajaxurl,
			type: 'POST',
			data: data,            
			beforeSend: function(msg){                              
				$('.ai_loader').addClass('show');  
				$(".rewrite_ai_image").attr('disabled' ,true);
			},
			success: function(msg){
				$(".rewrite_ai_image").attr('disabled' , false);
				$('.ai_loader').removeClass('show'); 
				console.log( msg );
				$('.error_out_container').html('');

				var obj = jQuery.parseJSON( msg );
				if( obj.result == 'success' ){
					$('.error_out_container').html('');
					$('.content_block_container').addClass('show');
 
					$('#result_output_container').html( '<img src="'+obj.text+'" />' );
					$('#generated_image_url').val( obj.text );
					$('.image_result_container').addClass('show');
					
				}else{
					$('.error_out_container').html('<div class="alert alert-danger">'+obj.text+'</div>');   
				} 
					
			}, 
			error:  function(msg) {
				$(".rewrite_ai_image").attr('disabled' , false);
				console.log( 'error' );
				console.log( msg );	
			}          
		});

 })



 /**
      * AI save image
      */
 $("body").on("click", ".add_image_to_library", function(){
 
 
	var data = {
		url  : $('#generated_image_url').val(),
		security  : wad_local_data.nonce,
		action : 'save_image_to_library'
	}

	jQuery.ajax({url: wad_local_data.ajaxurl,
			type: 'POST',
			data: data,            
			beforeSend: function(msg){                              
				$('.ai_add_to_lib').addClass('show');  
				$(".add_image_to_library").attr('disabled' ,true);
			},
			success: function(msg){
				$(".add_image_to_library").attr('disabled' , false);
				$('.ai_add_to_lib').removeClass('show'); 
				console.log( msg );
				$('.error_out_container').html('');

				var obj = jQuery.parseJSON( msg );
				if( obj.result == 'success' ){
					$('.error_out_container').html('');				
					$('.error_out_container').html('<div class="alert alert-success">Attachment added <a href="'+obj.text+'" target="_blank">'+obj.text+'</a></div>');  
				}else{
					$('.error_out_container').html('<div class="alert alert-danger">'+obj.text+'</div>');   
				} 
					
			}, 
			error:  function(msg) {
				$(".rewrite_ai_image").attr('disabled' , false);
				console.log( 'error' );
				console.log( msg );	
			}          
		});

 })
 
});